Skip to content

Speed Dial

All operations require authentication.

5 operationsv1/telephony/{billingAccount}
Agent setup

List speed dial numbersProduction

GET
/1.0/telephony/{billingAccount}/abbreviatedNumber

Path parameters

billingAccount
required
string

The name of your billingAccount

Response

200integer[]successful operation

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
[ 0]

Get a speed dial numberProduction

GET
/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

Response

200AbbreviatedNumberGroupsuccessful operation
abbreviatedNumber
read-only
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Example uses abbreviatedNumber = 0, billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}

Create a speed dial numberProduction

POST
/1.0/telephony/{billingAccount}/abbreviatedNumber

Path parameters

billingAccount
required
string

The name of your billingAccount

Request body (required)

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
required
phoneNumber

The destination of the abbreviated number

name
required
string
—
surname
required
string
—

Response

200AbbreviatedNumberGroupsuccessful operation
abbreviatedNumber
read-only
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Example uses billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber \
  -H "authorization: Bearer $OVH_TOKEN"
ResponseExample
{ "abbreviatedNumber": 0, "destinationNumber": "string", "name": "string", "surname": "string"}

Delete a speed dial numberProduction

DELETE
/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

Response

200—successful operation

Example uses abbreviatedNumber = 0, billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"

Update a speed dial numberProduction

PUT
/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber}

Path parameters

abbreviatedNumber
required
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

billingAccount
required
string

The name of your billingAccount

Request body (required)

abbreviatedNumber
read-only
integer

The abbreviated number which must start with "7" and must have a length of 3 or 4 digits

destinationNumber
phoneNumber

The destination of the abbreviated number

name
string
—
surname
string
—

Response

200—successful operation

Example uses abbreviatedNumber = 0, billingAccount = string

$ curl https://api.eu.ovhcloud.com/1.0/telephony/{billingAccount}/abbreviatedNumber/{abbreviatedNumber} \
  -H "authorization: Bearer $OVH_TOKEN"